none
Missing MVC 4 in VS 2015 Enterprise

    Question

  • Anybody know how I can get MVC 4 project back in VS 2015? 

    I tried installing https://www.microsoft.com/en-us/download/details.aspx?id=48738 but it still doesn't show up.

    Tuesday, May 03, 2016 8:48 PM

Answers

  • Hi Nick,

    Thank you for posting in MSDN forum.

    As far as we know, we can't create an older version of MVC project by the VS 2015, unless by adding older assembly references and some handy works in configuration based on your complete awareness of older required files and architecture,
    since the newer IDE usually don't have the previews references.
    Refer to:
    http://stackoverflow.com/questions/30123609/does-visual-studio-2015-support-older-versions-of-mvc

    I also try to install the link you pasted and ASP.NET MVC 4 for Visual Studio 2010 SP1 and Visual Web Developer 2010 SP1 from the following link.
    https://www.microsoft.com/en-us/download/confirmation.aspx?id=30683

    Then I restart VS and try to create a web application, the MVC 4 template still doesn’t show up, so although you have install the above components.

    But I can open a MCV 4 application in VS 2015 Enterprise Update 1, it could built successfully.

    So if you want to create a MVC 4 application, I suggest you use VS 2012 or 2013, since VS 2015 couldn’t support to create this project type.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, May 04, 2016 9:22 AM
    Moderator

All replies

  • Hi Nick,

    Thank you for posting in MSDN forum.

    As far as we know, we can't create an older version of MVC project by the VS 2015, unless by adding older assembly references and some handy works in configuration based on your complete awareness of older required files and architecture,
    since the newer IDE usually don't have the previews references.
    Refer to:
    http://stackoverflow.com/questions/30123609/does-visual-studio-2015-support-older-versions-of-mvc

    I also try to install the link you pasted and ASP.NET MVC 4 for Visual Studio 2010 SP1 and Visual Web Developer 2010 SP1 from the following link.
    https://www.microsoft.com/en-us/download/confirmation.aspx?id=30683

    Then I restart VS and try to create a web application, the MVC 4 template still doesn’t show up, so although you have install the above components.

    But I can open a MCV 4 application in VS 2015 Enterprise Update 1, it could built successfully.

    So if you want to create a MVC 4 application, I suggest you use VS 2012 or 2013, since VS 2015 couldn’t support to create this project type.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, May 04, 2016 9:22 AM
    Moderator
  • Hi,

    I was looking at this issue, too. MVC 4 should be part of VS 2015, because when I create a new ASP.Net Web Application, I have to choose what I want exactly. And in that window I can choose between 4.61 and 5:

    So I understood that these 4.6.1 Templates were missing.

    I thought that I saw these somewhere but I was wrong. Everything I saw in the past was all MVC 5 based only.

    @Nick: Could you verify that these Templates that I am showing are what you are missing? Or did I missunderstood you completly?

    With kind regards,

    Konrad

    Wednesday, May 04, 2016 9:34 AM
    Moderator